<section class="dwfe-action-choose-file" [formGroup]="group">

  <div class="dwfe-action-choose-file__btn-wrap">

    <button class="dwfe-action-choose-file__btn"
            mat-raised-button
            (click)="inputFile.click(); takeClick.emit(true);"
            type="button">
      {{app.i18n('choose_file', i18n)}}...
    </button>

    <div class="dwfe-action-choose-file__filename-wrap">
      <p class="dwfe-action-choose-file__filename"
         [ngClass]="{ 'dwfe-action-choose-file__filename--error': !isFileValid() }">
        {{fileName}}
      </p>
    </div>

  </div>

  <input type="file" [formControlName]="'ctrl'"
         #inputFile
         (change)="fileSelected($event.target.files)"
         hidden>

  <p class="dwfe-action-choose-file__info" *ngIf="needCheckFileSize()">
    {{app.i18n('max_file_size', i18n)}} {{formatBytes(maxFileSizeInBytes)}}.
  </p>

  <p class="dwfe-action-choose-file__info" *ngIf="needCheckFileExtention()">
    {{app.i18n('valid_extentions', i18n)}}: {{getTextValidExtentions()}}.
  </p>

</section>

<!-- == https://stackoverflow.com/questions/48578954/angular-4-5-material-raised-button-with-input-file -->
<!-- == https://github.com/angular/material2/issues/2315#issuecomment-347882891 -->
